#!D:\IDE\Anaconda3\envs\Microscope_Scan python
# -*- coding: UTF-8 -*-
"""
 @Author: Administrator
 @FileName: logSlot.py
 @DateTime: 2025/6/21 18:42
 @SoftWare: PyCharm
 @Author  ：xsh
"""
from PyQt5 import Qt
from AppLog.logSingleton import logSingleton
class logSlot(Qt.QObject, logSingleton):
    Locker: Qt.QMutex = Qt.QMutex()
    logReadSignal : Qt.pyqtSignal = Qt.pyqtSignal(object)
    logSendSignal : Qt.pyqtSignal = Qt.pyqtSignal(object, object)

    def __init__(self, parent: Qt.QObject = None):
        super(logSlot, self).__init__(parent=parent)

    @classmethod
    def GetInstance(cls, *args, **kwargs) -> 'logSlot':
        return super(logSlot, cls).GetInstance(*args, **kwargs)


